QGIS Application - Bug report #11115
ui form issues in qgis 2.4
2014-08-28 07:25 AM - terry Pavlis

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.4.0 Regression?: No
Operating System: windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19445
Description

We developed a bunch of attribute entry forms for qgis using QTcreator to generate ui files. We set them up in 2.0.1 and they continued to
work fine in 2.2. In 2.4, however, out drop down combo boxes don't work any more. In the qgis field tab under properties, we used "line
edit" in the past and that worked fine. Now that option doesn't exist in 2.4 and I've tried all the other reasonable possibilities and they
don't work either. This must be a minor bug, but it certainly means we can't use 2.4 for now. Hope this can get fixed, I'm sure I'm not the
only one wno will discover this.

| can provide a copy of the ui files is needed.

History

#1 - 2014-08-29 01:38 AM - Matthias Kuhn

- Status changed from Open to Feedback

Hi,

The "Line Edit" has been merged into "Text Edit" which now supports QLineEdit, QTextEdit and QPlainTextEdit.

For QComboBox there are the two types "Value Map" and "Value Relation".

Is there a reason that you would like to use a "Text Edit" in favor of these instead?

#2 - 2014-09-02 07:54 AM - terry Pavlis

Ok, | tried "Value Map" and "Value relation" and neither of them worked either. In the past the "line edit" was the default field, and it still worked with my

comboboxes. Itis possible | filled out the options wrong in value map and value relation, but it seemed pretty idiot proof. any hint?

#3 - 2014-10-05 09:42 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
